#############################################################
#
# at91bootstrap 3.5.x
#
#############################################################
AT91BOOTSTRAP_VERSION = d8d995620a7d0b413aa029f45463b4d3e940c907
AT91BOOTSTRAP_SITE    = git://github.com/linux4sam/at91bootstrap.git
AT91BOOTSTRAP_SITE_METHOD = git

AT91BOOTSTRAP_INSTALL_IMAGES = YES
AT91BOOTSTRAP_INSTALL_TARGET = NO

ifeq ($(BR2_AT91BOOTSTRAP_CONFIG_FILENAME), y)
AT91BOOTSTRAP_BOARD_NAME = $(call qstrip,$(BR2_AT91BOOTSTRAP_BOARD_NAME))

ifeq ($(BR2_AT91BOOTSTRAP_NANDFLASH),y)
AT91BOOTSTRAP_MEDIA = nf
endif

ifeq ($(BR2_AT91BOOTSTRAP_DATAFLASH),y)
AT91BOOTSTRAP_MEDIA = df
endif

ifeq ($(BR2_AT91BOOTSTRAP_SDCARD),y)
AT91BOOTSTRAP_MEDIA = sd
endif

ifeq ($(BR2_AT91BOOTSTRAP_UBOOT),y)
AT91BOOTSTRAP_IMAGE = uboot
endif

ifeq ($(BR2_AT91BOOTSTRAP_LINUX),y)
AT91BOOTSTRAP_IMAGE = linux
endif

ifeq ($(BR2_AT91BOOTSTRAP_LINUX_DT),y)
AT91BOOTSTRAP_IMAGE = linux_dt
endif

AT91BOOTSTRAP_DEFAULT_CONFIG = $(AT91BOOTSTRAP_BOARD_NAME)$(AT91BOOTSTRAP_MEDIA)_$(AT91BOOTSTRAP_IMAGE)
AT91BOOTSTRAP_CONFIG_FILE = $(@D)/board/*/$(AT91BOOTSTRAP_DEFAULT_CONFIG)_defconfig
endif

ifeq ($(BR2_AT91BOOTSTRAP_INPUT_FILENAME), y)
AT91BOOTSTRAP_DEFAULT_CONFIG = $(call qstrip,$(BR2_AT91BOOTSTRAP_INPUT_CONFIG_FILENAME))
AT91BOOTSTRAP_CONFIG_FILE = $(@D)/board/*/$(AT91BOOTSTRAP_DEFAULT_CONFIG)
endif

define AT91BOOTSTRAP_CONFIGURE_CMDS
	cp $(AT91BOOTSTRAP_CONFIG_FILE) $(@D)/.config
endef

define AT91BOOTSTRAP_BUILD_CMDS
	$(MAKE) CROSS_COMPILE="$(TARGET_CROSS)" -C $(@D)
endef

define AT91BOOTSTRAP_INSTALL_IMAGES_CMDS
	$(INSTALL) -D $(@D)/binaries/*.bin $(BINARIES_DIR)/
endef

$(eval $(generic-package))
